Skip to navigation

List bulk send batch summaries

View as Markdown

Returns a summary of bulk send batches.

Use the batch_ids query parameter to narrow the list of batches.

You must specify exactly one of the following query parameters to get back a list of batch summaries:

ParameterDescription
from_dateA valid UTC DateTime: 2016-01-01
batch_idsA comma-separated list of batch IDs to query.

If neither query parameter is provided, a high-level, account-wide, overall bulk send status report is returned.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

batch_idsstringOptional

A comma-separated list of batch IDs to query.

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

Default: 100

from_datestringOptional
Required. The start date for a date range in UTC DateTime format.
search_textstringOptional
Use this parameter to search for specific text.
start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

statusstringOptional

The kind of results to collect. Must be one of:

  • all
  • failed
  • sent
  • queued
to_datestringOptional

The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned.

Note: If this property is null, the value defaults to the current date.

user_idstringOptional

Response

Successful response.
batchSizeLimitstringOptional
The maximum number of envelopes the account is permitted to submit in a given batch.
bulkBatchSummarieslist of objectsOptional
An array of batch summaries.
bulkProcessQueueLimitstringOptional
bulkProcessTotalQueuedstringOptional
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

queueLimitstringOptional
Maximum number of envelopes an account is permitted to have in the queue at any one time.
resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalQueuedstringOptional
The number of envelopes currently pending processing for the entire account.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error